Loading...
Searching...
No Matches
ARC_ParserCSVData Struct Reference

defines a csv data type, data is set by the callback passed in when createing a parserCSV as parser More...

`#include <csv.h>`

## Data Fields

ARC_Bool | hasHeader
ARC_String ** | headers
uint32_t | width
uint32_t | height
void *** | data

## Detailed Description

defines a csv data type, data is set by the callback passed in when createing a parserCSV as parser

Note
  this data can be retieved after parsing by calling get data, check arc/std/parser.h for more information

Definition at line 44 of file csv.h.

## Field Documentation

## data

void*** ARC_ParserCSVData::data

Definition at line 50 of file csv.h.

## hasHeader

ARC_Bool ARC_ParserCSVData::hasHeader

Definition at line 45 of file csv.h.

## headers

ARC_String** ARC_ParserCSVData::headers

Definition at line 46 of file csv.h.

## height

uint32_t ARC_ParserCSVData::height

Definition at line 49 of file csv.h.

## width

uint32_t ARC_ParserCSVData::width

Definition at line 48 of file csv.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/std/parser/csv.h